Article ID: 6670, created on May 10, 2013, last review on Apr 28, 2014

  • Applies to:
  • Plesk 11.5 for Windows

解决方案

如何升级安装有 Parallels Plesk Control Panel 8.x9.x 版本的 Windows 服务器上的 PHP 5。

为了升级 PHP 5 到所需版本(而不是 Parallels Plesk 提供的),请执行以下步骤:

  1. 停止 Plesk 服务(‘控制面板’ 和所有包括在 ‘Plesk 运行时间’ 部分的项目)
  2. 重命名文件夹 %plesk_dir%\Additional\PleskPHP5 to the orig_PleskPHP5
  3. 创建新的文件夹 %plesk_dir%\Additional\PleskPHP5
  4. 下载 PHP 必要的版本,并解压其内容,然后复制到新创建的文件夹 PleskPHP5
  5. 从原文件夹 orig_PleskPHP5 复制文件 php.ini 到新的文件夹
  6. 确定已继承了原来的权限
  7. 启动 Plesk 服务
  8. 点击 Parallels Plesk Panel 中 组件管理 部分的"刷新" 按钮,然后查看是否可以看到新的 PHP 版本

如何升级安装有 Parallels Plesk Control Panel 10.x 版本的 Windows 服务器上的 PHP 5。



  1. 停止 Plesk 服务(‘控制面板’ 和所有包括在 ‘Plesk 运行时间’ 部分的项目)
  2. 重命名文件夹 %plesk_dir%\Additional\PleskPHP53orig_PleskPHP53
注意:%plesk_dir%\Additional\ 中有三个文件夹:
 
- PHP for PHP 4.4.9;
- PleskPHP5 for PHP 5.2.17;
- PleskPHP53 for  PHP 5.3.10.
 
请考虑此操作,根据您想要更新的 PHP 版本来重命名相应的文件夹。
 
  1. 创建新的文件夹 %plesk_dir%\Additional\PleskPHP53
  2. 下载 PHP 必要的版本,并解压其内容,然后复制到新创建的文件夹 PleskPHP53
  3.  从原文件夹 orig_PleskPHP53 复制文件 php.ini 到新的文件夹
  4. 确定已继承了原来的权限
  5. 启动 Plesk 服务
  6. 点击 Parallels Plesk Panel 中 组件管理 部分的"刷新" 按钮,然后查看是否可以看到新的 PHP 版本
 
请同时参阅 基于 Windows 的操作系统的发行说明了解支持的 PHP 版本以避免不支持的版本。
 
您需要注意 Parallels Plesk Panel 提供的 PHP 版本并未经过测试。 在此描述的流程不会影响 Plesk 用于本身的 PHP 版本。.

其他信息

Parallels Plesk Panel 带有自己的处理控制面板的 PHP。 该 PHP 无法根据说明进行升级。

56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 46a8e394d6fa13134808921036a34da8 bd7fc88cf1b01f097749ae6f87272128

Email subscription for changes to this article